<form
  #postForm="ngForm"
  class="example-form"
  (ngSubmit)="onCreatePost(postForm.value)"
>
  <mat-form-field class="example-full-width">
    <mat-label>Username</mat-label>
    <input matInput placeholder="Username" name="title" ngModel required />
  </mat-form-field>
  <mat-form-field class="example-full-width">
    <mat-label>Password</mat-label>
    <input
      type="password"
      matInput
      placeholder="Password"
      name="password"
      ngModel
      required
    />
  </mat-form-field>
  <button mat-button type="submit" class="postbutton" color="primary">
    Log In
  </button>
</form>
<div class="container">
  <p>{{ todo | json }}</p>
  <button (click)="Event()" class="btn bg-primary text-white text-align:center">
    Fetch
  </button>
  <button
    (click)="delete()"
    class="btn bg-primary text-white text-align:center"
  >
    delete
  </button>
</div>
